Subject: Re: bug#20569: 24.5; Vertical scroll bar is shorter than frame in info buffer

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 May 2015 12:45:52 +0300

> From: [email-masked] (N. Jackson)
> Cc: Eli Zaretskii <[email-masked]>
> Date: Thu, 28 May 2015 16:09:11 -0300
> 
> I would like to work around the problem in my personal settings -- I
> feel that should be possible by simply changing the colour of the header
> line to match the colour of my windows -- but after some attempts at
> this I was not completely successful.
> 
> I customised some faces to use the same background colour as my
> windowing system widgets (gray94) (with readable foreground colours):
> 
> (custom-set-faces
>  '(header-line ((t (:inherit mode-line :background "grey94" :foreground "black" :box nil))))
>  '(info-header-node ((t (:inherit info-node :background "gray94" :foreground "black"))))
>  '(info-header-xref ((t (:inherit info-xref :background "gray94" :foreground "navy")))))
> 
> So far so good. Now I don't have a disturbing gap in my window/frame in
> Info which is great. (Not sure if there'll be a problem with the header
> line in other modes, but I can tweak those as I notice problems.)
> 
> Unfortunately, another issue arises. The breadcrumbs at the top of the
> Info buffer now have the wrong background colour!
> 
> The breadcrumbs seem to also use Info Header Node face and the Info
> Header Xref face. It seems inappropriate that they should use Header
> faces since they are not in the header. Is there a way to prevent them
> from doing so?

Not that I see, no.  Perhaps request a feature whereby the breadcrumbs
display will use a separate face.